Subject: bug#24620: 26.0.50; In dired: 'dired-do-compress-to' fails when filenames cotains space characters

From: Eli Zaretskii <[email-masked]>
Date: Thu, 27 Oct 2016 20:19:35 +0300

> Date: Thu, 27 Oct 2016 16:03:47 +0200
> From: José L. Doménech
> 	<[email-masked]>
> 
> I wrote a little patch to get a workaround around dired having some trouble compressing files with space characters in its name (bug #24620).

Thanks.

> I am not sure if this will useful to someone. Please NOTE that I am using apostrophes to surround the file name's. While it works on my system (GNU/Linux) it could not work on other systems.

I suggest to use shell-quote-argument for that, because that function
already supports all the systems where Emacs can be built.